Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique





















Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce: Avast, privilege elevation via aavmker4.sys

March 2010 by Vigil@nce

SYNTHESIS OF THE VULNERABILITY

A local attacker can corrupt the memory of the aavmker4.sys driver, in order to generate a denial of service or to execute code.

Severity: 2/4

Consequences: administrator access/rights, denial of service of computer

Provenance: user shell

Means of attack: no proof of concept, no attack

Ability of attacker: expert (4/4)

Confidence: confirmed by the editor (5/5)

Diffusion of the vulnerable configuration: high (3/3)

Creation date: 23/02/2010

IMPACTED PRODUCTS

- Avast antivirus

DESCRIPTION OF THE VULNERABILITY

The Avast antivirus installs the aavmker4.sys driver on Windows systems.

This driver is reached via ioctls, whose parameters are normally checked. However, an attacker can use the 0xb2d6001c ioctl and then the 0xb2d60030 ioctl, in order to corrupt the memory.

A local attacker can therefore corrupt the memory of the aavmker4.sys driver, in order to generate a denial of service or to execute code.

CHARACTERISTICS

Identifiers: BID-38363, CVE-2010-0705, TKADV2010-003, VIGILANCE-VUL-9470

http://vigilance.fr/vulnerability/A...




See previous articles

    

See next articles